apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: nextcloud-ingress
  namespace: nextcloud
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  ingressClassName: nginx
  rules:
  - host: "reymota.ddns.net"
    http:
      paths:
        - pathType: Prefix
          path: "/nextcloud"
          backend:
            service:
              name: nextcloud-server
              port:
                number: 80
